/**
 * 疫情防控
 */
import React, { PureComponent } from "react";
import { Tabs, Modal, Alert } from "antd";
import style from "styled-components";
import { connect } from "dva";
import NoAuthority from "../../common/NoAuthority";

const store = require("store");
const { TabPane } = Tabs;
@connect((state) => ({
}))

export default class Epidemic extends PureComponent {
  constructor(props, context) {
    super(props, context);
    this.state = {
    };
  }

  componentDidMount = () => {};
  render() {
    if (this.props.showModal) {
      return "";
    }
    return (
      <Container>
        <Tabs>
          <TabPane tab="疫情防控" key="1" />
        </Tabs>
        {store.get("EpidemicURL") !== undefined ? (
          <iframe
            title="疫情防控"
            src={store.get("EpidemicURL")["EpidemicURL"]}
            width="100%"
            height="100%"
            frameBorder="0"
          >
            您的浏览器不支持iframe，请升级
          </iframe>
        ) : (
          <NoAuthority></NoAuthority>
        )}
        {/* {store.get("saas") !== undefined ? (
          <iframe title="订单管理" src={this.state.currentURL + '&sessionId=' + store.get("saas")["sessionId"]} width="100%" height="100%" frameBorder="0">
            您的浏览器不支持iframe，请升级
            </iframe>
        ) : ''
        } */}
        {/* <iframe title="课程列表" src="http://localhost:3000/product" frameBorder="0" width="100%" height="100%">
            您的浏览器不支持iframe，请升级</iframe> */}
      </Container>
    );
  }
}

const Container = style.div`
  padding:10px 24px 24px;
  width:100%;
  height:100%;
`;
